## stellarium 0.12.0

=== CMakeLists.txt ===

CMAKE_MINIMUM_REQUIRED(VERSION 2.8.7)

# Avoid repeating the IF statement in the ENDIF and ELSE
SET(CMAKE_ALLOW_LOOSE_LOOP_CONSTRUCTS true)

IF(COMMAND cmake_policy)
  CMAKE_POLICY(SET CMP0003 NEW)
ENDIF()

########### Project name ###########
PROJECT(Stellarium)
SET(STELLARIUM_MAJOR "0")
SET(STELLARIUM_MINOR "12")
SET(STELLARIUM_PATCH "0")
SET(VERSION "${STELLARIUM_MAJOR}.${STELLARIUM_MINOR}.${STELLARIUM_PATCH}")
SET(PACKAGE stellarium)

SET(PACKAGE_VERSION "${VERSION}")
ADD_DEFINITIONS(-DPACKAGE_VERSION="${PACKAGE_VERSION}")

# Use customized cmake macros
SET(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)

########### Main global variables ###########
IF(NOT CMAKE_BUILD_TYPE)
  SET(CMAKE_BUILD_TYPE Release CACHE STRING "Choose the type of build, options are: None Debug GProf Valgrind Release RelWithDebInfo MinSizeRel." FORCE)
ENDIF()

# Add gprof build options if necessary.  Note gmon.out will be created in working directory when Stellarium is executed
IF(${CMAKE_BUILD_TYPE} MATCHES "GProf")
 SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fprofile-arcs")
 SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fprofile-arcs")
 SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -pg")
ENDIF()

# Add valgrind build options if necessary
IF(${CMAKE_BUILD_TYPE} MATCHES "Valgrind")
 SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -O0")
 SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -O0")
ENDIF()

IF(NOT STELLARIUM_SPLASH)
 SET(STELLARIUM_SPLASH Release CACHE STRING "Choose the type of Stellarium's splash image, options are: Release Development ReleaseCandidate." FORCE)
ENDIF()
ADD_DEFINITIONS(-DSTELLARIUM_SPLASH="${STELLARIUM_SPLASH}")

IF(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
  SET(APPLE 1)
ENDIF()

IF("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
 EXEC_PROGRAM(${CMAKE_C_COMPILER} ARGS "-v" OUTPUT_VARIABLE _clang_version_info)
 STRING(REGEX REPLACE "^.*[ ]([0-9]+)\\.[0-9].*$" "\\1" CLANG_MAJOR "${_clang_version_info}")
 STRING(REGEX REPLACE "^.*[ ][0-9]+\\.([0-9]).*$" "\\1" CLANG_MINOR "${_clang_version_info}")
 MESSAGE(STATUS "Found Clang ${CLANG_MAJOR}.${CLANG_MINOR}")
 SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Woverloaded-virtual")
ELSE()
 SET(CLANG_MAJOR 0)
 SET(CLANG_MINOR 0)
ENDIF()
SET(CLANG_VERSION "${CLANG_MAJOR}.${CLANG_MINOR}")

IF(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_GNUCC)
 EXEC_PROGRAM(${CMAKE_C_COMPILER} ARGS "-dumpversion" OUTPUT_VARIABLE _gcc_version_info)
 STRING(REGEX REPLACE "^([0-9]+).*$"                   "\\1" GCC_MAJOR ${_gcc_version_info})
 STRING(REGEX REPLACE "^[0-9]+\\.([0-9]+).*$"          "\\1" GCC_MINOR ${_gcc_version_info})
 STRING(REGEX REPLACE "^[0-9]+\\.[0-9]+\\.([0-9]+).*$" "\\1" GCC_PATCH ${_gcc_version_info})

 IF(GCC_PATCH MATCHES "\\.+")
  SET(GCC_PATCH "")
 ENDIF()
 IF(GCC_MINOR MATCHES "\\.+")
  SET(GCC_MINOR "")
 ENDIF()
 IF(GCC_MAJOR MATCHES "\\.+")
  SET(GCC_MAJOR "")
 ENDIF()
 MESSAGE(STATUS "Found GCC ${GCC_MAJOR}.${GCC_MINOR}")
 SET(COMPILER_VERSION gcc${GCC_MAJOR}${GCC_MINOR}${GCC_PATCH})
ELSE()
 SET(GCC_MAJOR 0)
 SET(GCC_MINOR 0)
ENDIF()
SET(GCC_VERSION "${GCC_MAJOR}.${GCC_MINOR}")

IF(UNIX AND NOT WIN32)
 SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra -Wno-unused-parameter")       # additional C compile flags
 SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra")     # additional CPP compile flags
ELSEIF ("${CMAKE_SIZEOF_VOID_P}" EQUAL "4")
 SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -fexceptions -fident -mthreads")
 SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wsign-promo -fexceptions -fident -mthreads")
 SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wsign-promo -fexceptions -fident -mthreads -mwindows")  #  --large-address-aware --enable-runtime-pseudo-reloc --verbose
ELSEIF ("${CMAKE_SIZEOF_VOID_P}" EQUAL "8")
 SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -fexceptions -fident -mthreads")
 SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wsign-promo -fexceptions -fident -mthreads")
 SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wsign-promo -fexceptions -fident -mthreads -mwindows")  # --enable-runtime-pseudo-reloc --verbose
ENDIF()

SET(OPTIMIZE_INTEL_ATOM 0 CACHE BOOL "Activate optimizations for atom processor.")
IF(OPTIMIZE_INTEL_ATOM)
 SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -mtune=generic -msse -msse2 -msse3 -mfpmath=sse")
 SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mtune=generic -msse -msse2 -msse3 -mfpmath=sse")
ENDIF()

SET(BUILD_FOR_MAEMO 0 CACHE BOOL "Set to 1 or true if you want to build for maemo target")
IF(BUILD_FOR_MAEMO)
  # Optimize for N900 ARM processor
  SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fno-omit-frame-pointer -fno-optimize-sibling-calls -D_REENTRANT -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -mtune=cortex-a8 -march=armv7-a -ftree-vectorize -mfpu=neon -mfloat-abi=softfp -ffast-math -funroll-loops -DBUILD_FOR_MAEMO")
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-omit-frame-pointer -fno-optimize-sibling-calls -D_REENTRANT -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -mtune=cortex-a8 -march=armv7-a -ftree-vectorize -mfpu=neon -mfloat-abi=softfp -ffast-math -funroll-loops -DBUILD_FOR_MAEMO")
ENDIF()

# FreeBSD-specific compiler flags
# resolve bug for FreeBSD/amd64 and NVIDIA proprietary drivers 
IF (${CMAKE_SYSTEM_NAME} STREQUAL "FreeBSD")
  # Use -pthread compilation option to properly link to threading library
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pthread")
ENDIF (${CMAKE_SYSTEM_NAME} STREQUAL "FreeBSD")

# best way to get to APPLE?
IF(APPLE)
 SET(CMAKE_CXX_FLAGS "${CMAKE_C_FLAGS} -fno-common -Wall -Wextra")
 SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fno-common -Wall -Wextra -Wno-unused-parameter")

 # uncomment one of the following, depending on minimum OS level you want
 #SET(CMAKE_OSX_DEPLOYMENT_TARGET "10.5")
 #SET(CMAKE_OSX_SYSROOT "/Developer/SDKs/MacOSX10.5.sdk/")
 #SET(CMAKE_OSX_DEPLOYMENT_TARGET "10.6")
 #SET(CMAKE_OSX_SYSROOT "/Developer/SDKs/MacOSX10.6.sdk/")

 # uncomment one of the following, depending on what platforms you want.
 # NOTE: Qt build for Cocoa is Intel only.  Qt with Carbon is both, but does not seem
 # to handle 64bit well.
 #SET(CMAKE_OSX_ARCHITECTURES "i386;x86_64;ppc;ppc64")
 #SET(CMAKE_OSX_ARCHITECTURES "i386;x86_64")
 SET(CMAKE_OSX_ARCHITECTURES "x86_64")
ENDIF()

########### Check functions ###########
INCLUDE(CheckFunctionExists)
SET(CMAKE_REQUIRED_LIBRARIES "-lm")
CHECK_FUNCTION_EXISTS(pow10 HAVE_POW10)
SET(CMAKE_REQUIRED_LIBRARIES)
IF(HAVE_POW10)
 ADD_DEFINITIONS(-DHAVE_POW10)
ENDIF()

########### Others ###########
# Activate translation with gettext
SET(ENABLE_NLS 1 CACHE BOOL "Define whether program translation should be supported.")
IF(ENABLE_NLS)
  ADD_DEFINITIONS(-DENABLE_NLS)
ENDIF()

SET(RELEASE_BUILD 1 CACHE BOOL "Flag this build as an official release.")

# Activate sound support
SET(ENABLE_SOUND 0 CACHE BOOL "Define whether sound support should be activated.")

SET(ENABLE_SCRIPTING 1 CACHE BOOL "Define whether scripting features should be activated.")
IF(ENABLE_SCRIPTING)
  # (De-)Activate the script edit console
  SET(ENABLE_SCRIPT_CONSOLE 1 CACHE BOOL "Define whether to build the script console feature.")
  IF(ENABLE_SCRIPT_CONSOLE)
	ADD_DEFINITIONS(-DENABLE_SCRIPT_CONSOLE)
  ENDIF()
  SET(ENABLE_STRATOSCRIPT_COMPAT 0 CACHE BOOL "Set to 1 or true if you want to build the Stratoscript compatibility mode")
ELSE()
  ADD_DEFINITIONS(-DDISABLE_SCRIPTING)
ENDIF()


SET(GUI_MODE Standard CACHE STRING "Choose the type of GUI to build, options are: Standard, None, External")
SET(OPENGL_MODE Desktop CACHE STRING "Choose the type of openGL to use, options are: Desktop, ES2")

SET(GENERATE_PACKAGE_TARGET 1 CACHE BOOL "Set to 1 or true if you want to have make package target")

# On WIN32 we need to split the main binary into a small binary and a dll
# This is for allowing to link dynamic plug-ins afterward
IF(WIN32)
  SET(GENERATE_STELMAINLIB 1)
ELSE()
  SET(GENERATE_STELMAINLIB 0)
ENDIF()

# For Windows, the default back end for the graphics system should be "native", as "raster"
# causes problems for many ATI users.  However, for other platforms we should use raster
# as the default as it is faster.
# Mac 10.6 requires native as well.
IF(WIN32 OR APPLE)
  ADD_DEFINITIONS(-DDEFAULT_GRAPHICS_SYSTEM="native")
ELSE()
  ADD_DEFINITIONS(-DDEFAULT_GRAPHICS_SYSTEM="raster")
ENDIF()

########### Plugin setup #############
SET(BUILD_STATIC_PLUGINS 1 CACHE BOOL "Define whether plugins should be compiled statically and linked to the main program")
SET(BUILD_DYNAMIC_PLUGINS 0 CACHE BOOL "Define whether plugins should be compiled dynamically")

SET(USE_PLUGIN_HELLOSTELMODULE 0 CACHE BOOL "Define whether the HelloStelModule plugin should be created.")
SET(USE_PLUGIN_SIMPLEDRAWLINE 0 CACHE BOOL "Define whether the Simple Draw Line plugin should be created.")
SET(USE_PLUGIN_ANGLEMEASURE 1 CACHE BOOL "Define whether the AngleMeasure plugin should be created.")
SET(USE_PLUGIN_COMPASSMARKS 1 CACHE BOOL "Define whether the CompassMarks plugin should be created.")
SET(USE_PLUGIN_SATELLITES 1 CACHE BOOL "Define whether the Satellites plugin should be created.")
SET(USE_PLUGIN_TELESCOPECONTROL 1 CACHE BOOL "Define whether the TelescopeControl plug-in should be created.")
SET(USE_PLUGIN_LOGBOOK 0 CACHE BOOL "Define whether the LogBook plugin should be created.")
SET(USE_PLUGIN_OCULARS 1 CACHE BOOL "Define whether the Oculars plugin should be created.")
SET(USE_PLUGIN_SVMT 0 CACHE BOOL "Define whether the SVMT plugin should be created.")
SET(USE_PLUGIN_TEXTUSERINTERFACE 1 CACHE BOOL "Define whether the TextUserInterface plugin should be created.")
SET(USE_PLUGIN_TIMEZONECONFIGURATION 1 CACHE BOOL "Define whether the TimeZoneConfiguration plugin should be created.")
SET(USE_PLUGIN_VIRGO 0 CACHE BOOL "Define whether the VirGO plugin should be created.")
SET(USE_PLUGIN_SOLARSYSTEMEDITOR 1 CACHE BOOL "Define whether the Solar System Editor should be built.")
SET(USE_PLUGIN_SUPERNOVAE 1 CACHE BOOL "Define whether the Historical Supernova plugin should be created.")
SET(USE_PLUGIN_QUASARS 1 CACHE BOOL "Define whether the Quasars plugin should be created.")
SET(USE_PLUGIN_PULSARS 1 CACHE BOOL "Define whether the Pulsars plugin should be created.")
SET(USE_PLUGIN_EXOPLANETS 1 CACHE BOOL "Define whether the Exoplanets plugin should be created.")
SET(USE_PLUGIN_OBSERVABILITY 1 CACHE BOOL "Define whether the Observability plugin should be created.")
SET(USE_PLUGIN_RENDERERSTATISTICS 0 CACHE BOOL "Define whether the RendererStatistics plugin should be created.")

########## Static plugins need to define includes and libraries
########## for the compilation of Stellarium itself
IF (BUILD_STATIC_PLUGINS)
  IF (USE_PLUGIN_SVMT)
	SET(QT_USE_QTXML TRUE) # For SVMT we also need QtXml module
	SET(QT_USE_QTDECLARATIVE TRUE) # For SVMT we also need QML module, this line doesn't seem to work right now
	SET(QT_USE_QTWEBKIT TRUE) # For SVMT we also need QML module, this line doesn't seem to work right now
  ENDIF()

  IF (USE_PLUGIN_VIRGO)
	## Library for loading FITS image files
	FIND_PATH(CFITSIO_INCLUDE_DIR fitsio.h
	  /usr/include
	  /usr/local/include
	  DOC "Should point to the directory where the include files for libcfitsio are installed")
	FIND_LIBRARY(CFITSIO_LIBRARIES cfitsio
	  PATHS
	  /usr/lib/
	  /usr/local/lib
	  /opt/local/lib
	  DOC "cfitsio link options")
	SET(QT_USE_QTXML TRUE) # For VirGO we also need QtXml module
  ENDIF()

  IF (USE_PLUGIN_LOGBOOK)
	SET(QT_USE_QTSQL TRUE) # For LogBook we also need SQL module
  ENDIF()

ENDIF()

# Custom target used to manage dependencies of stellarium -> Static plugins
# It is important that static plugins are compiled before stellarium main executable is linked
ADD_CUSTOM_TARGET(AllStaticPlugins ALL)

########### Find packages ###########
SET(QT_MIN_VERSION "4.8.0")
FIND_PACKAGE(Qt4 REQUIRED)
# Tell CMake to run moc when necessary:
set(CMAKE_AUTOMOC ON)
# As moc files are generated in the binary dir, tell CMake
# to always look for includes there:
set(CMAKE_INCLUDE_CURRENT_DIR ON)

SET(QT_USE_QTOPENGL TRUE)

=== doc/CMakeLists.txt ===

# to generate manual page:
# pod2man --section=1 -r ${VERSION} --center=" " stellarium.pod stellarium.1

IF(UNIX AND NOT WIN32)

ADD_CUSTOM_TARGET(ManPages ALL)

CONFIGURE_FILE(
  ${CMAKE_CURRENT_SOURCE_DIR}/stellarium.pod.cmake
  ${CMAKE_CURRENT_BINARY_DIR}/stellarium.pod
)
ADD_CUSTOM_COMMAND(
  TARGET ManPages
  SOURCE ${CMAKE_CURRENT_BINARY_DIR}/stellarium.pod
  COMMAND pod2man
  ARGS -s 1 -r ${VERSION} -center=" " ${CMAKE_CURRENT_BINARY_DIR}/stellarium.pod ${CMAKE_CURRENT_BINARY_DIR}/stellarium.1
  OUTPUTS ${CMAKE_CURRENT_BINARY_DIR}/stellarium.1
)

ADD_CUSTOM_COMMAND(
  TARGET ManPages
  SOURCE ManPages
  DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/stellarium.1
)

IF(CMAKE_SYSTEM_NAME MATCHES "(FreeBSD|NetBSD|OpenBSD)")
  INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/stellarium.1 DESTINATION man/man1)
ELSE(CMAKE_SYSTEM_NAME MATCHES "(FreeBSD|NetBSD|OpenBSD)")
  INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/stellarium.1 DESTINATION share/man/man1)
ENDIF(CMAKE_SYSTEM_NAME MATCHES "(FreeBSD|NetBSD|OpenBSD)")

ENDIF(UNIX AND NOT WIN32)

=== plugins/CMakeLists.txt ===
IF(WIN32)
  SET(CMAKE_EXE_LINKER_FLAGS ${CMAKE_EXE_LINKER_FLAGS} "--enable-runtime-pseudo-reloc")
ENDIF()

ADD_DEFINITIONS(-DQT_PLUGIN)
ADD_DEFINITIONS(-DQT_DLL)
ADD_DEFINITIONS(-D_REENTRANT)

IF (USE_PLUGIN_OBSERVABILITY)
  ADD_SUBDIRECTORY( Observability )
ENDIF()
IF (USE_PLUGIN_ANGLEMEASURE)
  ADD_SUBDIRECTORY( AngleMeasure )
ENDIF()
IF (USE_PLUGIN_COMPASSMARKS)
  ADD_SUBDIRECTORY( CompassMarks )
ENDIF()
IF (USE_PLUGIN_RENDERERSTATISTICS)
  ADD_SUBDIRECTORY( RendererStatistics )
ENDIF()
IF (USE_PLUGIN_HELLOSTELMODULE)
  ADD_SUBDIRECTORY( HelloStelModule )
ENDIF()
IF (USE_PLUGIN_SIMPLEDRAWLINE)
  ADD_SUBDIRECTORY( SimpleDrawLine )
ENDIF()
IF (USE_PLUGIN_LOGBOOK)
  ADD_SUBDIRECTORY( LogBook )
ENDIF()
IF (USE_PLUGIN_OCULARS)
  ADD_SUBDIRECTORY( Oculars )
ENDIF()
IF (USE_PLUGIN_SATELLITES)
  ADD_SUBDIRECTORY( Satellites )
ENDIF()
IF (USE_PLUGIN_SOLARSYSTEMEDITOR)
  ADD_SUBDIRECTORY( SolarSystemEditor )
ENDIF()
IF (USE_PLUGIN_SVMT)
  SET(SOURCE_SVMT_PATH "../../svmt/" CACHE PATH "The location of the SVMT plugin main directory i.e. the one containing the top level CMakeLists.txt")
  ADD_SUBDIRECTORY( ${SOURCE_SVMT_PATH} svmt )
ENDIF()
IF (USE_PLUGIN_TELESCOPECONTROL)
  ADD_SUBDIRECTORY( TelescopeControl )
ENDIF()
IF (USE_PLUGIN_TEXTUSERINTERFACE)
  ADD_SUBDIRECTORY( TextUserInterface )
ENDIF()
IF (USE_PLUGIN_TIMEZONECONFIGURATION)
  ADD_SUBDIRECTORY( TimeZoneConfiguration )
ENDIF()
IF (USE_PLUGIN_SUPERNOVAE)
  ADD_SUBDIRECTORY( Supernovae )
ENDIF()
IF (USE_PLUGIN_QUASARS)
  ADD_SUBDIRECTORY( Quasars )
ENDIF()
IF (USE_PLUGIN_PULSARS)
  ADD_SUBDIRECTORY( Pulsars )
ENDIF()
IF (USE_PLUGIN_EXOPLANETS)
  ADD_SUBDIRECTORY( Exoplanets )
ENDIF()
IF (USE_PLUGIN_VIRGO)
  SET(VIRGO_PROJECT_PATH "../extmodules/VirGO/" CACHE PATH "The location of the VirGO plugin main directory i.e. the one containing the top level CMakeLists.txt")
  ADD_SUBDIRECTORY( ${VIRGO_PROJECT_PATH} VirGO )
ENDIF()

=== scripts/CMakeLists.txt ===
########### install files ###############

INSTALL(FILES startup.ssc landscapes.ssc lunar_partial.ssc lunar_total.ssc screensaver.ssc common_objects.inc solar_eclipse.ssc zodiac.ssc triple_sunrise_and_sunsets.ssc phobos_phun_1.ssc phobos_phun_2.ssc phobos_phun_3.ssc phobos_phun_4.ssc phobos_phun_5.ssc solar_system_screensaver.ssc constellations_tour.ssc sun.ssc earth_1.ssc transit_of_venus.ssc analemma.ssc supernova.ssc DESTINATION share/${PACKAGE}/scripts)

=== src/CMakeLists.txt ===
SET(glues_lib_SRCS
	core/external/glues_stel/source/glues_error.c
	core/external/glues_stel/source/glues_error.h
	core/external/glues_stel/source/glues.h
	core/external/glues_stel/source/libtess/dict.h
	core/external/glues_stel/source/libtess/dict.c
	core/external/glues_stel/source/libtess/dict-list.h
	core/external/glues_stel/source/libtess/geom.c
	core/external/glues_stel/source/libtess/geom.h
	core/external/glues_stel/source/libtess/memalloc.c
	core/external/glues_stel/source/libtess/memalloc.h
	core/external/glues_stel/source/libtess/mesh.c
	core/external/glues_stel/source/libtess/mesh.h
	core/external/glues_stel/source/libtess/normal.c
	core/external/glues_stel/source/libtess/normal.h
	core/external/glues_stel/source/libtess/priorityq.c
	core/external/glues_stel/source/libtess/priorityq.h
	core/external/glues_stel/source/libtess/priorityq-heap.h
	core/external/glues_stel/source/libtess/priorityq-heap.i
	core/external/glues_stel/source/libtess/priorityq-sort.h
	core/external/glues_stel/source/libtess/render.c
	core/external/glues_stel/source/libtess/render.h
	core/external/glues_stel/source/libtess/sweep.c
	core/external/glues_stel/source/libtess/sweep.h
	core/external/glues_stel/source/libtess/tess.c
	core/external/glues_stel/source/libtess/tess.h
	core/external/glues_stel/source/libtess/tessmono.c
	core/external/glues_stel/source/libtess/tessmono.h
	)

SET(stellarium_lib_SRCS
	core/StelAudioMgr.hpp
	core/StelAudioMgr.cpp
	core/StelVideoMgr.hpp
	core/StelVideoMgr.cpp
	core/StelGeodesicGrid.cpp
	core/StelGeodesicGrid.hpp
	core/StelMovementMgr.cpp
	core/StelMovementMgr.hpp
	core/StelObserver.cpp
	core/StelObserver.hpp
	core/StelLocation.hpp
	core/StelLocation.cpp
	core/StelLocationMgr.hpp
	core/StelLocationMgr.cpp
	core/StelProjector.cpp
	core/StelProjector.hpp
	core/StelProjectorClasses.cpp
	core/StelProjectorClasses.hpp
	core/StelProjectorType.hpp
	core/StelSkyDrawer.cpp
	core/StelSkyDrawer.hpp
	core/MultiLevelJsonBase.hpp
	core/MultiLevelJsonBase.cpp
	core/StelSkyImageTile.hpp
	core/StelSkyImageTile.cpp
	core/StelSkyPolygon.hpp
	core/StelSkyPolygon.cpp
	core/SphericMirrorCalculator.cpp
	core/SphericMirrorCalculator.hpp
	core/StelApp.cpp
	core/StelApp.hpp
	core/StelCore.cpp
	core/StelCore.hpp
	core/StelFileMgr.cpp
	core/StelFileMgr.hpp
	core/StelAppGraphicsWidget.cpp
	core/StelAppGraphicsWidget.hpp
	core/StelLocaleMgr.cpp
	core/StelLocaleMgr.hpp
	core/StelModule.cpp
	core/StelModule.hpp
	core/StelModuleMgr.cpp
	core/StelModuleMgr.hpp
	core/StelObject.cpp
	core/StelObject.hpp
	core/StelObjectMgr.cpp
	core/StelObjectMgr.hpp
	core/StelObjectModule.cpp
	core/StelObjectModule.hpp
	core/StelObjectType.hpp
	core/StelPluginInterface.hpp
	core/StelSkyCultureMgr.cpp
	core/StelSkyCultureMgr.hpp
	core/StelToneReproducer.cpp
	core/StelToneReproducer.hpp
	core/StelSkyLayerMgr.cpp
	core/StelSkyLayerMgr.hpp
	core/StelSkyLayer.hpp
	core/StelSkyLayer.cpp
	core/StelFader.hpp
	core/StelSphereGeometry.cpp
	core/StelSphereGeometry.hpp
	core/TriangleIterator.hpp
	core/OctahedronPolygon.cpp
	core/OctahedronPolygon.hpp
	core/StelIniParser.cpp
	core/StelIniParser.hpp
	core/StelUtils.cpp
	core/StelUtils.hpp
	core/StelTranslator.cpp
	core/StelTranslator.hpp
	core/VecMath.hpp
	core/StelJsonParser.hpp
	core/StelJsonParser.cpp
	core/SimbadSearcher.hpp
	core/SimbadSearcher.cpp
	core/StelSphericalIndex.hpp
	core/StelSphericalIndex.cpp
	core/StelGuiBase.hpp
	core/StelGuiBase.cpp
	core/StelViewportEffect.hpp
	core/StelViewportEffect.cpp
	core/TrailGroup.hpp
	core/TrailGroup.cpp
	core/RefractionExtinction.hpp
	core/RefractionExtinction.cpp
	core/StelLoadingBar.cpp
	core/StelLoadingBar.hpp 
	core/StelShortcutMgr.hpp
	core/StelShortcutMgr.cpp
	core/StelShortcutGroup.cpp
	core/StelShortcutGroup.hpp

	core/Triplet.hpp

	core/renderer/StelRendererStatistics.hpp
	core/renderer/StelRenderer.cpp
	core/renderer/StelRenderer.hpp
	core/renderer/StelQGLViewport.cpp
	core/renderer/StelQGLViewport.hpp
	core/renderer/StelQGLRenderer.cpp
	core/renderer/StelQGLRenderer.hpp
	core/renderer/StelQGL1Renderer.hpp
	core/renderer/StelQGL2Renderer.hpp
	
	core/renderer/StelCircleArcRenderer.hpp

	core/renderer/StelGLCompatibility.hpp
	core/renderer/StelGLUtilityFunctions.cpp
	core/renderer/StelGLUtilityFunctions.hpp

	core/renderer/StelIndexBuffer.hpp
	core/renderer/StelQGLIndexBuffer.hpp
	core/renderer/StelVertexBuffer.hpp
	core/renderer/StelVertexBufferBackend.hpp
	core/renderer/StelQGLArrayVertexBufferBackend.cpp
	core/renderer/StelQGLArrayVertexBufferBackend.hpp
	core/renderer/StelQGLInterleavedArrayVertexBufferBackend.cpp
	core/renderer/StelQGLInterleavedArrayVertexBufferBackend.hpp
	core/renderer/StelQGL1InterleavedArrayVertexBufferBackend.cpp
	core/renderer/StelQGL1InterleavedArrayVertexBufferBackend.hpp
	core/renderer/StelQGL2InterleavedArrayVertexBufferBackend.cpp
	core/renderer/StelQGL2InterleavedArrayVertexBufferBackend.hpp
	core/renderer/StelQGL1ArrayVertexBufferBackend.cpp
	core/renderer/StelQGL1ArrayVertexBufferBackend.hpp
	core/renderer/StelQGL2ArrayVertexBufferBackend.cpp
	core/renderer/StelQGL2ArrayVertexBufferBackend.hpp
	core/renderer/StelVertexAttribute.hpp
	core/renderer/StelGeometryBuilder.hpp
	core/renderer/StelGeometryBuilder.cpp
	core/renderer/GenericVertexTypes.hpp

	core/renderer/StelTextureParams.hpp
	core/renderer/StelTextureNew.cpp
	core/renderer/StelTextureNew.hpp
	core/renderer/StelTextureBackend.hpp
	core/renderer/StelTextureCache.hpp
	core/renderer/StelQGLTextureBackend.cpp
	core/renderer/StelQGLTextureBackend.hpp
	core/renderer/StelTextureLoader.hpp

	core/renderer/StelLight.hpp

	core/renderer/StelGLSLShader.hpp
	core/renderer/StelQGLGLSLShader.hpp
	core/renderer/StelQGLGLSLShader.cpp

	${gl_lib_SRCS}
	core/external/fixx11h.h
	core/external/gettext.h

	core/external/kfilter/kfilterdev.h
	core/external/kfilter/kfilterdev.cpp
	core/external/kfilter/kfilterbase.h
	core/external/kfilter/kfilterbase.cpp
	core/external/kfilter/kgzipfilter.h
	core/external/kfilter/kgzipfilter.cpp
	core/external/kfilter/kzip.h
	core/external/kfilter/kzip.cpp
	core/external/kfilter/klimitediodevice.h
	core/external/kfilter/klimitediodevice.cpp
	core/external/kfilter/karchive.h
	core/external/kfilter/karchive.cpp

	${glues_lib_SRCS}

	core/planetsephems/calc_interpolated_elements.c
	core/planetsephems/calc_interpolated_elements.h
	core/planetsephems/elliptic_to_rectangular.c
	core/planetsephems/elliptic_to_rectangular.h
	core/planetsephems/elp82b.c
	core/planetsephems/elp82b.h
	core/planetsephems/gust86.c
	core/planetsephems/gust86.h
	core/planetsephems/l1.c
	core/planetsephems/l1.h
	core/planetsephems/marssat.c
	core/planetsephems/marssat.h
	core/planetsephems/pluto.c
	core/planetsephems/pluto.h
	core/planetsephems/sideral_time.c
	core/planetsephems/sideral_time.h
	core/planetsephems/stellplanet.c
	core/planetsephems/stellplanet.h
	core/planetsephems/tass17.c
	core/planetsephems/tass17.h
	core/planetsephems/vsop87.c
	core/planetsephems/vsop87.h

	core/modules/Atmosphere.cpp
	core/modules/Atmosphere.hpp
	core/modules/Constellation.cpp
	core/modules/Constellation.hpp
	core/modules/ConstellationMgr.cpp
	core/modules/ConstellationMgr.hpp
	core/modules/GridLinesMgr.cpp
	core/modules/GridLinesMgr.hpp
	core/modules/LabelMgr.hpp
	core/modules/LabelMgr.cpp
	core/modules/Landscape.cpp
	core/modules/Landscape.hpp
	core/modules/LandscapeMgr.cpp
	core/modules/LandscapeMgr.hpp
	core/modules/Meteor.cpp
	core/modules/Meteor.hpp
	core/modules/MeteorMgr.cpp
	core/modules/MeteorMgr.hpp
	core/modules/MilkyWay.cpp
	core/modules/MilkyWay.hpp
	core/modules/Nebula.cpp
	core/modules/Nebula.hpp
	core/modules/NebulaMgr.cpp
	core/modules/NebulaMgr.hpp
	core/modules/Orbit.cpp
	core/modules/Orbit.hpp
	core/modules/Planet.cpp
	core/modules/Planet.hpp
	core/modules/MinorPlanet.cpp
	core/modules/MinorPlanet.hpp
	core/modules/Comet.cpp
	core/modules/Comet.hpp
	core/modules/Skybright.cpp
	core/modules/Skybright.hpp
	core/modules/Skylight.cpp
	core/modules/Skylight.hpp
	core/modules/SolarSystem.cpp
	core/modules/SolarSystem.hpp
	core/modules/Solve.hpp
	core/modules/Star.cpp
	core/modules/Star.hpp
	core/modules/StarMgr.cpp
	core/modules/StarMgr.hpp
	core/modules/StarWrapper.cpp
	core/modules/StarWrapper.hpp
	core/modules/ZoneArray.cpp
	core/modules/ZoneArray.hpp
	core/modules/ZoneData.hpp

	StelMainGraphicsView.hpp
	StelMainGraphicsView.cpp
	StelMainWindow.hpp
	StelMainWindow.cpp
	StelLogger.hpp
	StelLogger.cpp
	CLIProcessor.hpp
	CLIProcessor.cpp
	translations.h
)
IF(ENABLE_SCRIPTING)
	SET(stellarium_lib_SRCS ${stellarium_lib_SRCS}
		scripting/StelScriptMgr.cpp
		scripting/StratoscriptPreprocessor.cpp
		scripting/StelScriptMgr.hpp
		scripting/ScreenImageMgr.hpp
		scripting/ScreenImageMgr.cpp
		scripting/StelMainScriptAPI.cpp
		scripting/StelMainScriptAPI.hpp
		scripting/StelMainScriptAPIProxy.cpp
		scripting/StelMainScriptAPIProxy.hpp
	)
ENDIF()

IF(WIN32)
	SET(stellarium_lib_SRCS ${stellarium_lib_SRCS}
		core/external/kdewin32/basetyps.h
		core/external/kdewin32/byteswap.h
		core/external/kdewin32/comcat.h
		core/external/kdewin32/dirent.h
		core/external/kdewin32/docobj.h
		core/external/kdewin32/errno.h
		core/external/kdewin32/fcntl.h
		core/external/kdewin32/grp.h
		core/external/kdewin32/ifaddrs.h
		core/external/kdewin32/langinfo.h
		core/external/kdewin32/mshtml.h
		core/external/kdewin32/netdb.h
		core/external/kdewin32/nl_types.h
		core/external/kdewin32/oaidl.h
		core/external/kdewin32/objfwd.h
		core/external/kdewin32/objidl.h
		core/external/kdewin32/ocidl.h
		core/external/kdewin32/olectl.h
		core/external/kdewin32/oleidl.h
		core/external/kdewin32/pwd.h
		core/external/kdewin32/signal.h
		core/external/kdewin32/stdio.h
		core/external/kdewin32/stdlib.h
		core/external/kdewin32/string.h
		core/external/kdewin32/strings.h
		core/external/kdewin32/syslog.h
		core/external/kdewin32/time.h
		core/external/kdewin32/unistd.h
		core/external/kdewin32/unknwn.h
		core/external/kdewin32/wchar.h
		core/external/kdewin32/arpa/inet.h
		core/external/kdewin32/asm/byteorder.h
		core/external/kdewin32/net/if.h
		core/external/kdewin32/netinet/in.h
		core/external/kdewin32/netinet/tcp.h
		core/external/kdewin32/sys/ioctl.h
		core/external/kdewin32/sys/mman.h
		core/external/kdewin32/sys/resource.h
		core/external/kdewin32/sys/select.h
		core/external/kdewin32/sys/signal.h
		core/external/kdewin32/sys/socket.h
		core/external/kdewin32/sys/stat.h
		core/external/kdewin32/sys/time.h
		core/external/kdewin32/sys/times.h
		core/external/kdewin32/sys/types.h
		core/external/kdewin32/sys/uio.h
		core/external/kdewin32/sys/un.h
		core/external/kdewin32/sys/unistd.h
		core/external/kdewin32/sys/utsname.h
		core/external/kdewin32/sys/wait.h

		core/external/kdewin32/bind/inet_ntop.c
		core/external/kdewin32/bind/inet_pton.c
		core/external/kdewin32/dirent.c
		core/external/kdewin32/errno.c
		core/external/kdewin32/fsync.c
		core/external/kdewin32/getenv.c
		core/external/kdewin32/grp.c
		core/external/kdewin32/inet.c
		core/external/kdewin32/mmap.c
		core/external/kdewin32/nl_langinfo.c
		core/external/kdewin32/net.c
		core/external/kdewin32/pwd.c
		core/external/kdewin32/realpath.c
		core/external/kdewin32/resource.c
		core/external/kdewin32/signal.c
		core/external/kdewin32/stdlib.c
		core/external/kdewin32/string.c
		core/external/kdewin32/strptime.c
		core/external/kdewin32/syslog.c
		core/external/kdewin32/time.c
		core/external/kdewin32/uname.c
		core/external/kdewin32/unistd.c
	)
ENDIF(WIN32)

SET(stellarium_exe_SRCS main.cpp)

################# compiles resources files ############
SET(stellarium_RES ${CMAKE_SOURCE_DIR}/data/mainRes.qrc)
QT4_ADD_RESOURCES(stellarium_RES_CXX ${stellarium_RES})


#############################################################################################
############################# Standard GUI plugin compilation ###############################
#############################################################################################
IF (GUI_MODE STREQUAL "Standard")
	SET(stellarium_gui_SRCS
		gui/StelGui.hpp

=== textures/CMakeLists.txt ===
########### install files ###############

INSTALL(FILES amalthea.png proteus.png triton.png pluto.png charon.png moon.png mercury.png venus.png earth_cmap.png earth-clouds.png earthmap.png mars.png jupiter.png saturn.png uranus.png neptune.png earth-shadow.png saturn_rings_radial.png uranus_rings.png neptune_rings.png lune.png phobos.png deimos.png io.png europa.png ganymede.png callisto.png mimas.png enceladus.png tethys.png dione.png rhea.png titan.png hyperion.png iapetus.png miranda.png ariel.png umbriel.png titania.png oberon.png fog.png milkyway.png fogridge.png ocl.png gcl.png pnb.png neb.png halo.png pointeur2.png pointeur4.png pointeur5.png star16x16.png sun.png nomap.png haloLune.png planet-indicator.png corona.png DESTINATION share/${PACKAGE}/textures)

ADD_CUSTOM_TARGET(splash ALL)
SET(_splashFile logo24bits.png)
SET(_splashDstFile ${CMAKE_CURRENT_BINARY_DIR}/${_splashFile})

IF(${STELLARIUM_SPLASH} STREQUAL "Development")
  GET_FILENAME_COMPONENT(_splashSrcFile logo24bits_dev.png ABSOLUTE)
ELSEIF(${STELLARIUM_SPLASH} STREQUAL "ReleaseCandidate")
  GET_FILENAME_COMPONENT(_splashSrcFile logo24bits_rc.png ABSOLUTE)
ELSE()
  GET_FILENAME_COMPONENT(_splashSrcFile logo24bits.png ABSOLUTE)
ENDIF()

ADD_CUSTOM_COMMAND(
  TARGET splash
  COMMAND ${CMAKE_COMMAND} -E copy ${_splashSrcFile} ${_splashDstFile}
)

INSTALL(FILES ${_splashDstFile} DESTINATION share/${PACKAGE}/textures RENAME ${_splashFile})

=== nebulae/default/CMakeLists.txt ===

########### install files ###############

INSTALL(FILES textures.json nebula_textures.fab ngc2000.dat ngc2000names.dat ic434bousquet.png m100.png m101.png m102.png m103.png m104.png m105.png m106.png m108.png m109.png m10.png m110.png m11.png m12.png m13.png m14.png m15dumont.png m16dumont.png m17spano.png m18.png m1dumont.png m20bousquet.png m22.png m27dumont.png m2.png m31.png m33bousquet.png m34.png m36.png m37.png m38.png m3.png m42dumont.png m44spano.png m46.png m49.png m4.png m51.png m53.png m54.png m57dumont.png m58.png m59.png m5.png m60.png m61.png m63.png m64.png m65.png m66.png m6.png m74.png m76.png m78.png m7.png m81.png m82.png m83.png m84.png m85.png m86.png m87.png m89.png m8bousquet.png m90.png m91.png m92.png m94.png m95.png m96.png m97dumont.png m98.png m99.png m9.png n1499bousquet.png n2244bousquet.png n253bousquet.png n6946dumont.png n869-884spano.png pleiades.png m93.png m80.png m79.png m75.png m73.png m72.png m71.png m70.png m69.png m68.png m67.png m62.png m56.png m55.png m52.png m50.png m48.png m41.png m35.png m30.png m29.png m28.png m26.png m25.png m24.png m23.png m21.png m19.png m107.png n281kepler.png n5139kepler.png n6543kepler.png n6960kepler.png n7023kepler.png n7331kepler.png n7318kepler.png ic4592kepler.png n104kepler.png n891oleg.png n1333oleg.png n2903oleg.png n3190oleg.png n3718oleg.png n4490oleg.png n5982oleg.png n7129oleg.png DESTINATION share/${PACKAGE}/nebulae/default)

=== plugins/Exoplanets/CMakeLists.txt ===
SET(EXOPLANETS_PLUGIN_MAJOR "0")
SET(EXOPLANETS_PLUGIN_MINOR "1")
SET(EXOPLANETS_PLUGIN_PATCH "4")
SET(EXOPLANETS_VERSION "${EXOPLANETS_PLUGIN_MAJOR}.${EXOPLANETS_PLUGIN_MINOR}.${EXOPLANETS_PLUGIN_PATCH}")

IF(APPLE)
  SET(CMAKE_INSTALL_PREFIX $ENV{HOME}/Library/Application\ Support/Stellarium)
ELSE(APPLE)
  SET(CMAKE_INSTALL_PREFIX $ENV{HOME}/.stellarium)
ENDIF(APPLE)

ADD_DEFINITIONS(-DEXOPLANETS_PLUGIN_VERSION="${EXOPLANETS_VERSION}")

ADD_SUBDIRECTORY( src )

INSTALL(FILES DESTINATION "modules/Exoplanets")

=== plugins/Observability/CMakeLists.txt ===
SET(OBSERVABILITY_VERSION "1.1.0")

IF(APPLE)
   SET(CMAKE_INSTALL_PREFIX $ENV{HOME}/Library/Application\ Support/Stellarium)
ELSE(APPLE)
   SET(CMAKE_INSTALL_PREFIX $ENV{HOME}/.stellarium)
ENDIF(APPLE)

ADD_DEFINITIONS(-DOBSERVABILITY_PLUGIN_VERSION="${OBSERVABILITY_VERSION}")

ADD_SUBDIRECTORY( src )

INSTALL(FILES DESTINATION "modules/Observability")

=== plugins/Oculars/CMakeLists.txt ===
SET(OCULARS_STELMODULE_MAJOR "0")
SET(OCULARS_STELMODULE_MINOR "99")
SET(OCULARS_STELMODULE_PATCH "3")
SET(OCULARS_VERSION "${OCULARS_STELMODULE_MAJOR}.${OCULARS_STELMODULE_MINOR}.${OCULARS_STELMODULE_PATCH}")

IF(APPLE)
    SET(CMAKE_INSTALL_PREFIX $ENV{HOME}/Library/Application\ Support/Stellarium)
ElSE(APPLE)
    SET(CMAKE_INSTALL_PREFIX $ENV{HOME}/.stellarium)
ENDIF(APPLE)

ADD_DEFINITIONS(-DOCULARS_PLUGIN_VERSION="${OCULARS_VERSION}")

ADD_SUBDIRECTORY( src )

INSTALL(FILES DESTINATION "modules/Oculars")

=== plugins/Pulsars/CMakeLists.txt ===
SET(PSR_MAJOR "0")
SET(PSR_MINOR "2")
SET(PSR_PATCH "2")
SET(PSR_VERSION "${PSR_MAJOR}.${PSR_MINOR}.${PSR_PATCH}")

IF(APPLE)
    SET(CMAKE_INSTALL_PREFIX $ENV{HOME}/Library/Application\ Support/Stellarium)
ElSE(APPLE)
    SET(CMAKE_INSTALL_PREFIX $ENV{HOME}/.stellarium)
ENDIF(APPLE)

ADD_DEFINITIONS(-DPULSARS_PLUGIN_VERSION="${PSR_VERSION}")

ADD_SUBDIRECTORY( src )

INSTALL(FILES DESTINATION "modules/Pulsars")

=== plugins/Quasars/CMakeLists.txt ===
SET(QUASARS_PLUGIN_MAJOR "0")
SET(QUASARS_PLUGIN_MINOR "1")
SET(QUASARS_PLUGIN_PATCH "5")
SET(QUASARS_VERSION "${QUASARS_PLUGIN_MAJOR}.${QUASARS_PLUGIN_MINOR}.${QUASARS_PLUGIN_PATCH}")

IF(APPLE)
  SET(CMAKE_INSTALL_PREFIX $ENV{HOME}/Library/Application\ Support/Stellarium)
ELSE(APPLE)
  SET(CMAKE_INSTALL_PREFIX $ENV{HOME}/.stellarium)
ENDIF(APPLE)

ADD_DEFINITIONS(-DQUASARS_PLUGIN_VERSION="${QUASARS_VERSION}")

ADD_SUBDIRECTORY( src )

INSTALL(FILES DESTINATION "modules/Quasars")

=== debian/changelog ===
stellarium (0.12.0-1) experimental; urgency=low

  * Drop 'DM-Upload-Allowed' field
  * Bumped Debian Policy to 3.9.4
  * Imported Upstream version 0.12.0
  * Removed sound support.

 -- Tomasz Buchert <tomasz.buchert@inria.fr>  Sat, 02 Feb 2013 18:00:48 +0100

stellarium (0.11.4a-2~1.gbpd4f751) experimental; urgency=low

  * Added sound support

 -- Tomasz Buchert <tomasz.buchert@inria.fr>  Thu, 27 Sep 2012 16:32:29 +0200

stellarium (0.11.4a-1) experimental; urgency=low

  * Imported Upstream version 0.11.4a
  * Add 'DM-Upload-Allowed: yes' to debian/control

 -- Tomasz Buchert <tomasz.buchert@inria.fr>  Sun, 02 Sep 2012 16:40:25 +0200

=== debian/control ===
Source: stellarium
Section: science
Priority: optional
Maintainer: Tomasz Buchert <tomasz.buchert@inria.fr>
Build-Depends: debhelper (>= 9), cmake (>= 2.6.0), doxygen,
 libqt4-dev (>= 4:4.6.0), libqt4-opengl-dev (>= 4:4.6.0), zlib1g-dev
Standards-Version: 3.9.4
Homepage: http://www.stellarium.org
Vcs-Git: git://git.debian.org/git/collab-maint/stellarium.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/stellarium.git

Package: stellarium
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, stellarium-data (>= ${source:Version})
Description: real-time photo-realistic sky generator
 Stellarium renders 3D photo-realistic skies in real-time. With Stellarium, you
 really see what you can see with your eyes, binoculars or a small telescope.
 .
 Some features:
  - default star catalogue with over 600 thousand stars,
  - information about the brightest stars (spectral type, distance, etc.),
  - downloadable star catalogue extensions, for up to 210 million stars,
  - all New General Catalogue (NGC) objects,
  - images of almost all Messier objects and the Milky Way,
  - real time positions of the planets and their satellites,
  - 13 different cultures with their constellations,
  - artistic illustrations of the 88 Western constellations,
  - very realistic atmosphere, sunrise and sunset,
  - 7 panoramic landscapes (more can be made or downloaded from the website),
  - scripting with ECMAScript,
  - plug-in support: Stellarium comes with 8 plug-ins by default, including:
  - artificial satellites plug-in (updated from an on-line TLE database),
  - ocular simulation plug-in (shows how objects look like in a given ocular),
  - Solar System editor plug-in (imports comet and asteroid data from the MPC),
  - telescope control plug-in (Meade LX200 and Celestron NexStar compatible).
 .
 Stellarium should not be used for very high accurate calculation or ephemerids
 like eclipse predictions. However, it is the ideal program to prepare an
 observation evening with naked eye, binocular, or small telescope.

Package: stellarium-data
Architecture: all
Depends: ${misc:Depends}, ttf-dejavu-core (>= 2.31)
Description: Stellarium data files
 Stellarium renders 3D photo-realistic skies in real-time. With Stellarium, you
 really see what you can see with your eyes, binoculars or a small telescope.
 .
 This package contains data files required by Stellarium. They include
 textures, star catalogues and translations.

## stellarium 0.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 PROJECT(Stellarium)
 SET(STELLARIUM_MAJOR "0")
 SET(STELLARIUM_MINOR "12")
-SET(STELLARIUM_PATCH "0")
+SET(STELLARIUM_PATCH "1")
 SET(VERSION "${STELLARIUM_MAJOR}.${STELLARIUM_MINOR}.${STELLARIUM_PATCH}")
 SET(PACKAGE stellarium)

=== plugins/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 IF(WIN32)
-  SET(CMAKE_EXE_LINKER_FLAGS ${CMAKE_EXE_LINKER_FLAGS} "--enable-runtime-pseudo-reloc")
+  SET(CMAKE_EXE_LINKER_FLAGS ${CMAKE_EXE_LINKER_FLAGS} "-Wl,--enable-runtime-pseudo-reloc")
 ENDIF()
 
 ADD_DEFINITIONS(-DQT_PLUGIN)

=== scripts/CMakeLists.txt ===
########### install files ###############

INSTALL(FILES startup.ssc landscapes.ssc lunar_partial.ssc lunar_total.ssc screensaver.ssc common_objects.inc solar_eclipse.ssc zodiac.ssc triple_sunrise_and_sunsets.ssc phobos_phun_1.ssc phobos_phun_2.ssc phobos_phun_3.ssc phobos_phun_4.ssc phobos_phun_5.ssc solar_system_screensaver.ssc constellations_tour.ssc sun.ssc earth_1.ssc transit_of_venus.ssc analemma.ssc supernova.ssc sky_cultures.ssc DESTINATION share/${PACKAGE}/scripts)

=== skycultures/CMakeLists.txt ===
ADD_SUBDIRECTORY( arabic )
ADD_SUBDIRECTORY( aztec )
ADD_SUBDIRECTORY( chinese ) 
ADD_SUBDIRECTORY( egyptian ) 
ADD_SUBDIRECTORY( inuit ) 
ADD_SUBDIRECTORY( korean ) 
ADD_SUBDIRECTORY( lakota ) 
ADD_SUBDIRECTORY( maori ) 
ADD_SUBDIRECTORY( navajo ) 
ADD_SUBDIRECTORY( norse ) 
ADD_SUBDIRECTORY( polynesian ) 
ADD_SUBDIRECTORY( sami )
ADD_SUBDIRECTORY( tongan ) 
ADD_SUBDIRECTORY( tupi ) 
ADD_SUBDIRECTORY( western )

=== landscapes/garching/CMakeLists.txt ===

########### install files ###############

# install landscape.ini
INSTALL (FILES landscape.ini DESTINATION share/${PACKAGE}/landscapes/garching )

# install textures
INSTALL (DIRECTORY ./ DESTINATION share/${PACKAGE}/landscapes/garching FILES_MATCHING PATTERN "*.png" )

# install descriptions
INSTALL (DIRECTORY ./ DESTINATION share/${PACKAGE}/landscapes/garching FILES_MATCHING PATTERN "description.*.utf8" )

=== landscapes/guereins/CMakeLists.txt ===

########### install files ###############

# install landscape.ini
INSTALL (FILES landscape.ini DESTINATION share/${PACKAGE}/landscapes/guereins )

# install textures
INSTALL (DIRECTORY ./ DESTINATION share/${PACKAGE}/landscapes/guereins FILES_MATCHING PATTERN "*.png" )

# install descriptions
INSTALL (DIRECTORY ./ DESTINATION share/${PACKAGE}/landscapes/guereins FILES_MATCHING PATTERN "description.*.utf8" )

=== landscapes/hurricane/CMakeLists.txt ===

########### install files ###############

# install landscape.ini
INSTALL (FILES landscape.ini DESTINATION share/${PACKAGE}/landscapes/hurricane )

# install textures
INSTALL (DIRECTORY ./ DESTINATION share/${PACKAGE}/landscapes/hurricane FILES_MATCHING PATTERN "*.png" )

# install descriptions
INSTALL (DIRECTORY ./ DESTINATION share/${PACKAGE}/landscapes/hurricane FILES_MATCHING PATTERN "description.*.utf8" )

=== landscapes/mars/CMakeLists.txt ===

########### install files ###############

# install landscape.ini
INSTALL (FILES landscape.ini DESTINATION share/${PACKAGE}/landscapes/mars )

# install texture
INSTALL (FILES mars.png DESTINATION share/${PACKAGE}/landscapes/mars )

# install descriptions
INSTALL (DIRECTORY ./ DESTINATION share/${PACKAGE}/landscapes/mars FILES_MATCHING PATTERN "description.*.utf8" )

=== landscapes/moon/CMakeLists.txt ===

########### install files ###############

# install landscape.ini
INSTALL (FILES landscape.ini DESTINATION share/${PACKAGE}/landscapes/moon )

# install texture
INSTALL (FILES apollo17.png DESTINATION share/${PACKAGE}/landscapes/moon )

# install descriptions
INSTALL (DIRECTORY ./ DESTINATION share/${PACKAGE}/landscapes/moon FILES_MATCHING PATTERN "description.*.utf8" )

=== landscapes/ocean/CMakeLists.txt ===

########### install files ###############

# install landscape.ini
INSTALL (FILES landscape.ini DESTINATION share/${PACKAGE}/landscapes/ocean )

# install textures
INSTALL (DIRECTORY ./ DESTINATION share/${PACKAGE}/landscapes/ocean FILES_MATCHING PATTERN "*.png" )

# install descriptions
INSTALL (DIRECTORY ./ DESTINATION share/${PACKAGE}/landscapes/ocean FILES_MATCHING PATTERN "description.*.utf8" )

=== landscapes/saturn/CMakeLists.txt ===

########### install files ###############

# install landscape.ini
INSTALL (FILES landscape.ini DESTINATION share/${PACKAGE}/landscapes/saturn )

# install texture
INSTALL (FILES saturn-256.png DESTINATION share/${PACKAGE}/landscapes/saturn )

# install descriptions
INSTALL (DIRECTORY ./ DESTINATION share/${PACKAGE}/landscapes/saturn FILES_MATCHING PATTERN "description.*.utf8" )

=== debian/changelog ===
stellarium (0.12.1-4) unstable; urgency=low

  * Update dependency from ttf-dejavu-core to fonts-dejavu-core
  * Temporary fix for build problems on kFreeBSD

 -- Tomasz Buchert <tomasz.buchert@inria.fr>  Wed, 26 Jun 2013 10:04:00 +0200

stellarium (0.12.1-3) unstable; urgency=low

  * Upload back to unstable, again (no changes)

 -- Tomasz Buchert <tomasz.buchert@inria.fr>  Sun, 27 May 2013 01:21:45 +0200

stellarium (0.12.1-2) experimental; urgency=low

  * Upload back to unstable (no changes)

 -- Tomasz Buchert <tomasz.buchert@inria.fr>  Sun, 26 May 2013 22:45:13 +0200

stellarium (0.12.1-1) experimental; urgency=low

  * Imported Upstream version 0.12.1
  * Installing icons provided by upstream

 -- Tomasz Buchert <tomasz.buchert@inria.fr>  Tue, 23 Apr 2013 18:31:29 +0200

=== debian/control ===
--- 
+++ 
@@ -40,7 +40,7 @@
 
 Package: stellarium-data
 Architecture: all
-Depends: ${misc:Depends}, ttf-dejavu-core (>= 2.31)
+Depends: ${misc:Depends}, fonts-dejavu-core (>= 2.33)
 Description: Stellarium data files
  Stellarium renders 3D photo-realistic skies in real-time. With Stellarium, you
  really see what you can see with your eyes, binoculars or a small telescope.
